object DMMain: TDMMain
  OldCreateOrder = False
  Left = 474
  Top = 218
  Height = 436
  Width = 362
  object ibdMain: TIBDatabase
    Connected = True
    DatabaseName = 'localhost:G:\Data\dib\dib3\DATA.FDB'
    Params.Strings = (
      'user_name=sysdba'
      'lc_ctype=win1251')
    DefaultTransaction = trMain
    Left = 32
    Top = 16
  end
  object trMain: TIBTransaction
    DefaultDatabase = ibdMain
    Params.Strings = (
      'read_committed'
      'rec_version'
      'nowait')
    Left = 136
    Top = 64
  end
  object ibtCompany: TIBTable
    Database = ibdMain
    Transaction = trCompany
    AfterDelete = ibtAfterDelete
    AfterEdit = ibtCompanyAfterInsert
    AfterInsert = ibtCompanyAfterInsert
    BeforeDelete = ibtBeforeDelete
    FieldDefs = <
      item
        Name = 'CMP_ID'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'CMP_TITLE'
        DataType = ftString
        Size = 30
      end>
    IndexDefs = <
      item
        Name = 'PK_COMPANY'
        Fields = 'CMP_ID'
        Options = [ixUnique]
      end
      item
        Name = 'COMPANY_TITLE'
        Fields = 'CMP_TITLE'
      end>
    IndexName = 'COMPANY_TITLE'
    StoreDefs = True
    TableName = 'COMPANY'
    Left = 32
    Top = 112
    object ibtCompanyCMP_ID: TIntegerField
      FieldName = 'CMP_ID'
      Visible = False
    end
    object ibtCompanyCMP_TITLE: TIBStringField
      DisplayLabel = #1050#1086#1084#1087#1072#1085#1080#1103' '#1088#1072#1079#1088#1072#1073#1086#1090#1095#1080#1082
      DisplayWidth = 30
      FieldName = 'CMP_TITLE'
      Required = True
      Size = 30
    end
  end
  object ibqMain: TIBQuery
    Database = ibdMain
    Transaction = trMain
    BeforeOpen = ibqMainBeforeOpen
    SQL.Strings = (
      
        'select SFT_ID, SFT_TITLE, CMP.CMP_ID, CMP_TITLE, SFT_YEAR, FLD.F' +
        'LD_ID, FLD_TITLE, CAR.CAR_ID, CAR_NAME, CRT.CRT_ID, CRT_NAME, DE' +
        'SCRIPTION, KEYWORDS'
      
        'from SOFTWARE SFT left join COMPANY CMP on (SFT.CMP_ID = CMP.CMP' +
        '_ID)'
      'left join "FIELD" FLD on (SFT.fld_id = FLD.FLD_ID)'
      'left join CARIER CAR on (SFT.car_id = CAR.CAR_ID)'
      'left join CARIER_TYPE CRT on (CAR.crt_id = CRT.crt_id)')
    UpdateObject = ibuMain
    Left = 32
    Top = 64
    object ibqMainSFT_ID: TIntegerField
      FieldName = 'SFT_ID'
      Origin = 'SOFTWARE.SFT_ID'
      Visible = False
    end
    object ibqMainSFT_TITLE: TIBStringField
      DisplayLabel = #1053#1072#1080#1084#1077#1085#1086#1074#1072#1085#1080#1077
      DisplayWidth = 32
      FieldName = 'SFT_TITLE'
      Origin = 'V_SOFTWARE.SFT_TITLE'
      Required = True
      Size = 255
    end
    object ibqMainCMP_TITLE: TIBStringField
      DisplayLabel = #1050#1086#1084#1087#1072#1085#1080#1103
      DisplayWidth = 12
      FieldName = 'CMP_TITLE'
      Origin = 'V_SOFTWARE.CMP_TITLE'
      Required = True
      Size = 255
    end
    object ibqMainSFT_YEAR: TIntegerField
      DisplayLabel = #1043#1086#1076' '#1074#1099#1087#1091#1089#1082#1072
      FieldName = 'SFT_YEAR'
      Origin = 'V_SOFTWARE.SFT_YEAR'
    end
    object ibqMainFLD_TITLE: TIBStringField
      DisplayLabel = #1054#1073#1083#1072#1089#1090#1100
      DisplayWidth = 32
      FieldName = 'FLD_TITLE'
      Origin = 'V_SOFTWARE.FLD_TITLE'
      Required = True
      Size = 255
    end
    object ibqMainCAR_NAME: TIBStringField
      DisplayLabel = #1053#1086#1089#1080#1090#1077#1083#1100
      FieldName = 'CAR_NAME'
      Origin = 'V_SOFTWARE.CAR_NAME'
      Required = True
    end
    object ibqMainCRT_NAME: TIBStringField
      DisplayLabel = #1058#1080#1087' '#1085#1086#1089#1080#1090#1077#1083#1103
      DisplayWidth = 12
      FieldName = 'CRT_NAME'
      Origin = 'V_SOFTWARE.CRT_NAME'
      Required = True
      Size = 255
    end
    object ibqMainDESCRIPTION: TMemoField
      FieldName = 'DESCRIPTION'
      Origin = 'V_SOFTWARE.DESCRIPTION'
      Visible = False
      BlobType = ftMemo
      Size = 8
    end
    object ibqMainKEYWORDS: TIBStringField
      DisplayLabel = #1050#1083#1102#1095#1077#1074#1099#1077' '#1089#1083#1086#1074#1072
      DisplayWidth = 32
      FieldName = 'KEYWORDS'
      Origin = 'V_SOFTWARE.KEYWORDS'
      Size = 255
    end
    object ibqMainCMP_ID: TIntegerField
      FieldName = 'CMP_ID'
      Origin = 'COMPANY.CMP_ID'
      Visible = False
    end
    object ibqMainFLD_ID: TIntegerField
      FieldName = 'FLD_ID'
      Origin = 'FIELD.FLD_ID'
      Visible = False
    end
    object ibqMainCAR_ID: TIntegerField
      FieldName = 'CAR_ID'
      Origin = 'CARIER.CAR_ID'
      Visible = False
    end
    object ibqMainCRT_ID: TIntegerField
      FieldName = 'CRT_ID'
      Origin = 'CARIER_TYPE.CRT_ID'
      Visible = False
    end
  end
  object dsMain: TDataSource
    DataSet = ibqMain
    Left = 80
    Top = 64
  end
  object dsCompany: TDataSource
    DataSet = ibtCompany
    Left = 80
    Top = 112
  end
  object trCompany: TIBTransaction
    DefaultDatabase = ibdMain
    Params.Strings = (
      'read_committed'
      'rec_version'
      'nowait')
    Left = 136
    Top = 112
  end
  object ibtField: TIBTable
    Database = ibdMain
    Transaction = trField
    AfterDelete = ibtAfterDelete
    AfterEdit = ibtFieldAfterInsert
    AfterInsert = ibtFieldAfterInsert
    BeforeDelete = ibtBeforeDelete
    FieldDefs = <
      item
        Name = 'FLD_ID'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'FLD_TITLE'
        DataType = ftString
        Size = 30
      end>
    IndexDefs = <
      item
        Name = 'PK_FIELD'
        Fields = 'FLD_ID'
        Options = [ixUnique]
      end
      item
        Name = 'FIELD_TITLE'
        Fields = 'FLD_TITLE'
      end>
    IndexName = 'FIELD_TITLE'
    StoreDefs = True
    TableName = 'FIELD'
    Left = 32
    Top = 160
    object ibtFieldFLD_ID: TIntegerField
      FieldName = 'FLD_ID'
      Visible = False
    end
    object ibtFieldFLD_TITLE: TIBStringField
      DisplayLabel = #1054#1073#1083#1072#1089#1090#1100' '#1087#1088#1080#1084#1077#1085#1077#1085#1080#1103
      DisplayWidth = 30
      FieldName = 'FLD_TITLE'
      Required = True
      Size = 255
    end
  end
  object dsField: TDataSource
    DataSet = ibtField
    Left = 80
    Top = 160
  end
  object ibuMain: TIBUpdateSQL
    RefreshSQL.Strings = (
      'Select '
      '  "SOFTWARE"."SFT_ID",'
      '  "SOFTWARE"."SFT_TITLE",'
      '  "SOFTWARE"."CMP_ID",'
      '  "SOFTWARE"."SFT_YEAR",'
      '  "SOFTWARE"."FLD_ID",'
      '  "SOFTWARE"."CAR_ID",'
      '  "SOFTWARE"."DESCRIPTION",'
      '  "SOFTWARE"."KEYWORDS"'
      'from "SOFTWARE" '
      'where'
      '  "SOFTWARE"."SFT_ID" = :"SFT_ID"')
    ModifySQL.Strings = (
      'update "SOFTWARE"'
      'set'
      '  "SOFTWARE"."CAR_ID" = :"CAR_ID",'
      '  "SOFTWARE"."CMP_ID" = :"CMP_ID",'
      '  "SOFTWARE"."DESCRIPTION" = :"DESCRIPTION",'
      '  "SOFTWARE"."FLD_ID" = :"FLD_ID",'
      '  "SOFTWARE"."KEYWORDS" = :"KEYWORDS",'
      '  "SOFTWARE"."SFT_TITLE" = :"SFT_TITLE",'
      '  "SOFTWARE"."SFT_YEAR" = :"SFT_YEAR"'
      'where'
      '  "SOFTWARE"."SFT_ID" = :"OLD_SFT_ID"')
    InsertSQL.Strings = (
      'insert into "SOFTWARE"'
      
        '  ("SOFTWARE"."CAR_ID", "SOFTWARE"."CMP_ID", "SOFTWARE"."DESCRIP' +
        'TION", '
      
        '   "SOFTWARE"."FLD_ID", "SOFTWARE"."KEYWORDS", "SOFTWARE"."SFT_T' +
        'ITLE", '
      '   "SOFTWARE"."SFT_YEAR")'
      'values'
      
        '  (:"CAR_ID", :"CMP_ID", :"DESCRIPTION", :"FLD_ID", :"KEYWORDS",' +
        ' :"SFT_TITLE", '
      '   :"SFT_YEAR")')
    DeleteSQL.Strings = (
      'delete from "SOFTWARE"'
      'where'
      '  "SOFTWARE"."SFT_ID" = :"OLD_SFT_ID"')
    Left = 192
    Top = 64
  end
  object trField: TIBTransaction
    DefaultDatabase = ibdMain
    Params.Strings = (
      'read_committed'
      'rec_version'
      'nowait')
    Left = 136
    Top = 160
  end
  object ibqCarier: TIBQuery
    Database = ibdMain
    Transaction = trCarier
    AfterDelete = ibtAfterDelete
    AfterEdit = ibqCarierAfterInsert
    AfterInsert = ibqCarierAfterInsert
    BeforeDelete = ibtBeforeDelete
    SQL.Strings = (
      
        'select CAR_ID, CAR_NAME, CAR.CRT_ID, CRT.CRT_NAME from CARIER CA' +
        'R left join CARIER_TYPE CRT on (CAR.CRT_ID=CRT.CRT_ID)')
    UpdateObject = ibuCarier
    Left = 32
    Top = 256
    object ibqCarierCAR_ID: TIntegerField
      FieldName = 'CAR_ID'
      Origin = '"CARIER"."CAR_ID"'
      ProviderFlags = [pfInUpdate, pfInWhere, pfInKey]
      Visible = False
    end
    object ibqCarierCAR_NAME: TIBStringField
      DisplayLabel = #1050#1086#1076' '#1085#1086#1089#1080#1090#1077#1083#1103
      FieldName = 'CAR_NAME'
      Origin = '"CARIER"."CAR_NAME"'
      Required = True
    end
    object ibqCarierCRT_ID: TIntegerField
      FieldName = 'CRT_ID'
      Origin = '"CARIER"."CRT_ID"'
      Required = True
      Visible = False
    end
    object ibqCarierCRT_NAME: TIBStringField
      DisplayLabel = #1058#1080#1087' '#1085#1086#1089#1080#1090#1077#1083#1103
      FieldName = 'CRT_NAME'
      Origin = '"CARIER_TYPE"."CRT_NAME"'
      Size = 30
    end
  end
  object ibtCarierType: TIBTable
    Database = ibdMain
    Transaction = trCarierType
    AfterDelete = ibtAfterDelete
    AfterEdit = ibtCarierTypeAfterInsert
    AfterInsert = ibtCarierTypeAfterInsert
    BeforeDelete = ibtBeforeDelete
    IndexName = 'CARIER_TYPE_NAME'
    TableName = 'CARIER_TYPE'
    Left = 32
    Top = 208
    object ibtCarierTypeCRT_ID: TIntegerField
      FieldName = 'CRT_ID'
      Visible = False
    end
    object ibtCarierTypeCRT_NAME: TIBStringField
      DisplayLabel = #1058#1080#1087' '#1085#1086#1089#1080#1090#1077#1083#1103
      FieldName = 'CRT_NAME'
      Size = 30
    end
  end
  object trCarierType: TIBTransaction
    DefaultDatabase = ibdMain
    Params.Strings = (
      'read_committed'
      'rec_version'
      'nowait')
    Left = 136
    Top = 208
  end
  object dsCarierType: TDataSource
    DataSet = ibtCarierType
    Left = 80
    Top = 208
  end
  object trCarier: TIBTransaction
    DefaultDatabase = ibdMain
    Params.Strings = (
      'read_committed'
      'rec_version'
      'nowait')
    Left = 136
    Top = 256
  end
  object dsCarier: TDataSource
    DataSet = ibqCarier
    Left = 80
    Top = 256
  end
  object ibuCarier: TIBUpdateSQL
    RefreshSQL.Strings = (
      'Select '
      '  "CARIER"."CAR_ID",'
      '  "CARIER"."CAR_NAME",'
      '  "CARIER"."CRT_ID"'
      'from "CARIER" '
      'where'
      '  "CARIER"."CAR_ID" = :"CAR_ID"')
    ModifySQL.Strings = (
      'update "CARIER"'
      'set'
      '  "CARIER"."CAR_NAME" = :"CAR_NAME",'
      '  "CARIER"."CRT_ID" = :"CRT_ID"'
      'where'
      '  "CARIER"."CAR_ID" = :"OLD_CAR_ID"')
    InsertSQL.Strings = (
      'insert into "CARIER"'
      '  ("CARIER"."CAR_NAME", "CARIER"."CRT_ID")'
      'values'
      '  (:"CAR_NAME", :"CRT_ID")')
    DeleteSQL.Strings = (
      'delete from "CARIER"'
      'where'
      '  "CARIER"."CAR_ID" = :"OLD_CAR_ID"')
    Left = 192
    Top = 256
  end
end
