unit u_refdlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, DBCtrls, StdCtrls, Buttons, Grids, DBGrids, Db,
  IBCustomDataSet;

type
  TFormRefDlg = class(TForm)
    DBGrid1: TDBGrid;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    DBNavigator1: TDBNavigator;
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormRefDlg: TFormRefDlg;

function Choose (ACaption: string; ADataSource: TDataSource): boolean;

implementation

{$R *.dfm}

function Choose (ACaption: string; ADataSource: TDataSource): boolean;
var
  AForm: TFormREfDlg;
begin
  with TFormRefDlg.Create (nil) do begin
    try
      Caption := ACaption;
      DBNavigator1.DataSource := ADataSource;
      DBGrid1.DataSource := ADataSource;
      Result := (ShowModal = mrOk);
    finally
      Free;
    end;
  end;
end;

procedure TFormRefDlg.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
//  if (DbGrid1.DataSource.DataSet as TIBCustomDataSet).Transaction.InTransaction and
  if  DbGrid1.DataSource.DataSet.Modified then begin
    MessageDlg ('    !    .',
      mtError, [mbOk], 0);
    CanClose := FALSE;
  end else
    CanClose := TRUE;
end;

end.
